summaryrefslogtreecommitdiff
path: root/kde-misc
diff options
context:
space:
mode:
Diffstat (limited to 'kde-misc')
l---------kde-misc/tork/files1
-rw-r--r--kde-misc/tork/tork-9999.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/kde-misc/tork/files b/kde-misc/tork/files
new file mode 120000
index 0000000..2135396
--- /dev/null
+++ b/kde-misc/tork/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/kde-misc/tork/files \ No newline at end of file
diff --git a/kde-misc/tork/tork-9999.ebuild b/kde-misc/tork/tork-9999.ebuild
new file mode 100644
index 0000000..842e6b7
--- /dev/null
+++ b/kde-misc/tork/tork-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/kde-misc/tork/tork-0.27.ebuild,v 1.3 2008/06/30 01:38:27 carlo Exp $
+
+ARTS_REQUIRED="never"
+
+inherit kde multilib cvs autotools
+
+DESCRIPTION="TorK is a powerful anonymity manager for the KDE and acts as a frontedn to Tor."
+HOMEPAGE="http://tork.sourceforge.net/"
+SRC_URI=""
+
+ECVS_SERVER="tork.cvs.sourceforge.net:/cvsroot/tork"
+ECVS_MODULE="tork"
+ECVS_AUTH="pserver"
+ECVS_USER="anonymous"
+S="${WORKDIR}/${PN}"
+
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE="gnutls"
+
+DEPEND="dev-libs/openssl
+ >=dev-libs/geoip-1.4.0
+ gnutls? ( >=net-libs/gnutls-2.2.2 )
+ !gnutls? ( >=dev-libs/openssl-0.9.8g )"
+
+RDEPEND="${DEPEND}
+ >=net-misc/tor-0.1.2.14
+ >=net-proxy/privoxy-3.0.3-r5
+ >=net-proxy/tsocks-1.8_beta5-r2"
+
+need-kde 3.5
+
+#PATCHES=( "${FILESDIR}/${P}-ext_tsocks.patch"
+# "${FILESDIR}/${P}+gcc-4.3.patch" )
+
+src_compile() {
+ # Fix desktop file
+ cd ${S}
+ sed -i -e "s:^\(Categories=.*\):\1;:" "${S}/src/tork.desktop"
+
+ local myconf="--with-external-geoip --with-conf=/etc/socks/tsocks.conf"
+ use gnutls && myconf="${myconf} --enable-gnutls"
+
+ kde_src_compile
+}
+
+pkg_postinst() {
+ if ! built_with_use --missing false net-proxy/tsocks tordns; then
+ ewarn "WARNING: you have net-proxy/tsocks installed without"
+ ewarn "the patch to avoid DNS leaking while using Tor."
+ ewarn "For better privacy, please emerge again net-proxy/tsocks"
+ ewarn "with the USE flag 'tordns' enabled."
+ fi
+}